Workspaces
List Replier workspaces
Lists the workspaces you belong to, with your role and permissions in each, the plan, and the Free Plan allowance. Every other request is made in one of these workspaces.
GET
/
v1
/
workspaces
List Replier workspaces
curl --request GET \
--url https://api.usereplier.com/v1/workspaces \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usereplier.com/v1/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.usereplier.com/v1/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"workspaces": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "personal",
"role": "owner",
"permissions": [
"<string>"
],
"plan": "creator",
"service_status": "active",
"setup_status": "active",
"free_plan_allowance": {
"used": 4503599627370495,
"limit": 123,
"resets_at": "2023-11-07T05:31:56Z"
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}⌘I
List Replier workspaces
curl --request GET \
--url https://api.usereplier.com/v1/workspaces \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usereplier.com/v1/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.usereplier.com/v1/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"workspaces": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "personal",
"role": "owner",
"permissions": [
"<string>"
],
"plan": "creator",
"service_status": "active",
"setup_status": "active",
"free_plan_allowance": {
"used": 4503599627370495,
"limit": 123,
"resets_at": "2023-11-07T05:31:56Z"
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}